# GrayscaleFilter class

Converts color images to grayscale and applies autocontrast.

Inheritance
  - Object
  - ParametricFilter
  - GrayscaleFilter

## Constructors

GrayscaleFilter({double borderWidthFraction = 0.06, double blackOutliersFraction = 0.0, double whiteOutliersFraction = 0.02})
GrayscaleFilter.fromJson(Map<String, dynamic> json)
  factory

## Properties

blackOutliersFraction ↔ double
  Clip this fraction of the darkest pixels in operations such as autocontrast. Increasing the range of middle gray levels at the expense of the brightest and darkest levels may improve the overall contrast and quality of the result. Sum of blackOutliersFraction and whiteOutliersFraction must be less than 1 but usually good values for the parameters do not exceed 0.05; Default is 0.0
  getter/setter pair
borderWidthFraction ↔ double
  Ignore this fraction of pixels at the edge of the image when calculating statistics. Pixels at the edge of the image typically have poor statistics. Ignoring them and using only the inner pixels when calculating certain statistics can substantially improve the quality of the result. The value must be less than 0.5 but usually good values are between 0 and 0.15. Default is 0.06
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
whiteOutliersFraction ↔ double
  Clip this fraction of the brightest pixels in operations such as autocontrast. Increasing the range of middle gray levels at the expense of the brightest and darkest levels may improve the overall contrast and quality of the result. Sum of blackOutliersFraction and whiteOutliersFraction must be less than 1 but usually good values for the parameters do not exceed 0.05; Default is 0.02
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited